package com.ruoyi.project.production.service.impl;

import java.util.List;

import com.ruoyi.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TWsglMapper;
import com.ruoyi.project.production.domain.TWsgl;
import com.ruoyi.project.production.service.ITWsglService;

import javax.annotation.Resource;

/**
 * 5S管理Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-25
 */
@Service
public class TWsglServiceImpl implements ITWsglService
{
    @Resource
    private TWsglMapper tWsglMapper;

    /**
     * 查询5S管理
     *
     * @param id 5S管理ID
     * @return 5S管理
     */
    @Override
    public TWsgl selectTWsglById(Long id)
    {
        return tWsglMapper.selectTWsglById(id);
    }

    /**
     * 查询5S管理列表
     *
     * @param tWsgl 5S管理
     * @return 5S管理
     */
    @Override
    public List<TWsgl> selectTWsglList(TWsgl tWsgl)
    {
        return tWsglMapper.selectTWsglList(tWsgl);
    }

    /**
     * 新增5S管理
     *
     * @param tWsgl 5S管理
     * @return 结果
     */
    @Override
    public int insertTWsgl(TWsgl tWsgl)
    {
        long all = 0l;
        int num = 0;
        if (tWsgl.getJan() !=null){
            all += tWsgl.getJan();
            num ++;
        }
        if (tWsgl.getApr() !=null){
            all += tWsgl.getApr();
            num ++;
        }
        if (tWsgl.getAug() !=null){
            all += tWsgl.getAug();
            num ++;
        }
        if (tWsgl.getDec() !=null){
            all += tWsgl.getDec();
            num ++;
        }
        if (tWsgl.getFeb() !=null){
            all += tWsgl.getFeb();
            num ++;
        }
        if (tWsgl.getJul() !=null){
            all += tWsgl.getJul();
            num ++;
        }
        if (tWsgl.getJun() !=null){
            all += tWsgl.getJun();
            num ++;
        }
        if (tWsgl.getMar() !=null){
            all += tWsgl.getMar();
            num ++;
        }
        if (tWsgl.getMay() !=null){
            all += tWsgl.getMay();
            num ++;
        }
        if (tWsgl.getNov() !=null){
            all += tWsgl.getNov();
            num ++;
        }
        if (tWsgl.getOct() !=null){
            all += tWsgl.getOct();
            num ++;
        }
        if (tWsgl.getSep() !=null){
            all += tWsgl.getSep();
            num ++;
        }
        if (all != 0 && num > 0) {
            long avr = all/num;
            tWsgl.setAverage(String.valueOf(avr));
        }
        return tWsglMapper.insertTWsgl(tWsgl);
    }

    /**
     * 修改5S管理
     *
     * @param tWsgl 5S管理
     * @return 结果
     */
    @Override
    public int updateTWsgl(TWsgl tWsgl)
    {
        long all = 0l;
        int num = 0;
        if (tWsgl.getJan() !=null){
            all += tWsgl.getJan();
            num ++;
        }
        if (tWsgl.getApr() !=null){
            all += tWsgl.getApr();
            num ++;
        }
        if (tWsgl.getAug() !=null){
            all += tWsgl.getAug();
            num ++;
        }
        if (tWsgl.getDec() !=null){
            all += tWsgl.getDec();
            num ++;
        }
        if (tWsgl.getFeb() !=null){
            all += tWsgl.getFeb();
            num ++;
        }
        if (tWsgl.getJul() !=null){
            all += tWsgl.getJul();
            num ++;
        }
        if (tWsgl.getJun() !=null){
            all += tWsgl.getJun();
            num ++;
        }
        if (tWsgl.getMar() !=null){
            all += tWsgl.getMar();
            num ++;
        }
        if (tWsgl.getMay() !=null){
            all += tWsgl.getMay();
            num ++;
        }
        if (tWsgl.getNov() !=null){
            all += tWsgl.getNov();
            num ++;
        }
        if (tWsgl.getOct() !=null){
            all += tWsgl.getOct();
            num ++;
        }
        if (tWsgl.getSep() !=null){
            all += tWsgl.getSep();
            num ++;
        }
        long avr = all/num;
        tWsgl.setAverage(String.valueOf(avr));
        return tWsglMapper.updateTWsgl(tWsgl);
    }

    /**
     * 批量删除5S管理
     *
     * @param ids 需要删除的5S管理ID
     * @return 结果
     */
    @Override
    public int deleteTWsglByIds(Long[] ids)
    {
        return tWsglMapper.deleteTWsglByIds(ids);
    }

    /**
     * 删除5S管理信息
     *
     * @param id 5S管理ID
     * @return 结果
     */
    @Override
    public int deleteTWsglById(Long id)
    {
        return tWsglMapper.deleteTWsglById(id);
    }
}